<?xml version="1.0" encoding="UTF-8"?>
<interface>
  <template class="Window" parent="AdwApplicationWindow">
    <property name="title" translatable="yes">Banking</property>
    <property name="default-width">1024</property>
    <property name="default-height">640</property>
    <signal name="close-request" handler="_on_close_request" swapped="no"/>
    <child>
      <object class="AdwToastOverlay" id="_toast_overlay">
        <property name="child">
          <object class="GtkStack" id="_main_view">
            <property name="transition-type">slide-left-right</property>">
            <property name="vexpand">True</property>">
            <child>
              <object class="GtkStackPage">
                <property name="name">welcome</property>
                <property name="child">
                  <object class="AdwBin" id="_welcome_bin"/>
                </property>
              </object>
            </child>
            <child>
              <object class="GtkStackPage">
                <property name="name">create_safe</property>
                <property name="child">
                  <object class="AdwBin" id="_create_safe_bin"/>
                </property>
              </object>
            </child>
            <child>
              <object class="GtkStackPage">
                <property name="name">locked</property>
                <property name="child">
                  <object class="AdwBin" id="_locked_bin"/>
                </property>
              </object>
            </child>
            <child>
              <object class="GtkStackPage">
                <property name="name">unlocked</property>
                <property name="child">
                  <object class="AdwBin" id="_unlocked_bin"/>
                </property>
              </object>
            </child>
          </object>
        </property>
      </object>
    </child>
  </template>
</interface>
